org.apache.hadoop.yarn.server.nodemanager.webapp.dao

## Class ContainersInfo

- java.lang.Object
- - org.apache.hadoop.yarn.server.nodemanager.webapp.dao.ContainersInfo

-     public class ContainersInfo
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ArrayList<ContainerInfo>` | `container`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainersInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(ContainerInfo containerInfo)`
    `ArrayList<ContainerInfo>` | `getContainers()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### container

          protected ArrayList<ContainerInfo> container

  - ### Constructor Detail

    - #### ContainersInfo

          public ContainersInfo()

  - ### Method Detail

    - #### add

          public void add(ContainerInfo containerInfo)

    - #### getContainers

          public ArrayList<ContainerInfo> getContainers()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.